#{extends 'common/landing-base.html' /}
#{set 'title'}
Registrasi Admin K/L/P/D
#{/set}

<section class="header-blacklist" style="background-image: url(@{'public/images/bg-blacklist.svg'})">
    <div class="ui grid" style="height: 120px; margin-top: 0px;">
        <div class="sixteen wide column middle aligned center aligned">
            <h2>Daftar Hitam</h2>
        </div>
    </div>
</section>
<section>
    <div class="ui container content-blacklist">
        <div class="ui grid">
            <div class="sixteen wide column">
                <div class="ui divider hidden"></div>
                <div class="ui breadcrumb">
                    <a href="#{url route.core_landingcontroller_index /}" class="section">Home</a>
                    <div class="divider"> / </div>
                    <div class="active section">Daftar Hitam</div>
                    <input type="hidden" id="offset" class="offset" value="0" >
                    <input type="hidden" id="limit" class="limit" value="8" >
                </div>
            </div>
        </div>

        <form class="search-bar" method="get">
            <div class="ui column grid stackable">
                <div class="four wide column">
                    <div class="ui search">
                        <div class="ui icon input">
                            <input class="prompt comp-input-search" name="${result?.getParamAble().getSearchKey()}" value="${result?.getParamAble()?.getKeyword()}" type="text" placeholder="Cari...">
                            <i class="search icon"></i>
                        </div>
                    </div>
                </div>
                <div class="four wide left aligned column">
                    <div class="ui dropdown selection component-dropdown">
                        <input type="hidden" name="filter" value="${result.getParamAble().getFilter()}">
                        <i class="dropdown icon"></i>
                        <div class="default text color-black">${result.getParamAble().getFilterLabel()}</div>
                        <div class="menu">
                            #{list items:filters, as:'filter'}
                            <div class="item" data-name="filter" data-value="${filter_index - 1}">${filter}</div>
                            #{/list}
                        </div>
                    </div>
                </div>
                #{if result.getParamAble().isItPublishedDate()}
                    <div class="four wide center aligned column">
                        <div class="ui dropdown selection component-dropdown">
                            <input id="year" type="hidden" name="year" value="${queryParam.getYear()}">
                            <i class="dropdown icon"></i>
                            <div class="default text color-black">${queryParam.getYearAsString()}</div>
                            <div class="menu">
                                <div class="item" data-name="year" data-value="0">Semua Tahun</div>
                                #{list items:years, as:'year'}
                                <div class="item" data-name="year" data-value="${year.toString()}">${year}</div>
                                #{/list}
                            </div>
                        </div>
                    </div>
                    <div class="four wide center aligned column">
                        <div class="ui dropdown selection component-dropdown">
                            <input id="injuction" type="hidden" name="injunction" value="${queryParam.getInjunction()}">
                            <i class="dropdown icon"></i>
                            <div class="default text color-black">${queryParam.getInjunctionAsString()}</div>
                            <div class="menu">
                                <div class="item" data-name="injunction" data-value="-1">Semua</div>
                                #{list items:queryParam.getInjunctionLabels(), as:'label'}
                                <div class="item" data-name="injunction" data-value="${label_index - 1}">${label}</div>
                                #{/list}
                            </div>
                        </div>
                    </div>
                #{/if}
                #{if result.getParamAble().isProcurementType()}
                <div class="four wide left aligned column">
                    <div class="ui dropdown selection component-dropdown">
                        <input id="procurement" type="hidden" name="procurement" value="${queryParam.getProcurement()}">
                        <i class="dropdown icon"></i>
                        <div class="default text color-black">${queryParam.getProcurement()}</div>
                        <div class="menu">
                            <div class="item" data-name="procurement" data-value="Semua Jenis">Semua Jenis</div>
                            #{list items:procurementFilters, as:'item'}
                            <div class="item" data-name="procurement" data-value="${item.getName()}">${item.getName()}</div>
                            #{/list}
                        </div>
                    </div>
                </div>
                #{/if}
                #{if result.getParamAble().isItDomicile()}
                <div class="four wide left aligned column">
                    <div class="ui dropdown selection component-dropdown">
                        <input id="domicile" type="hidden" name="domicile" value="${result.getParamAble().getFilterDomicile()}">
                        <i class="dropdown icon"></i>
                        <div class="default text color-black">${result.getParamAble().getDomicileLabel()}</div>
                        <div class="menu">
                            #{list items:domiciles, as:'domicile'}
                            <div class="item" data-name="domicile" data-value="${domicile_index - 1}">${domicile}</div>
                            #{/list}
                        </div>
                    </div>
                </div>
                #{/if}
                #{if result.getParamAble().isProvinceFilter() }
                <div class="four wide left aligned column">
                    <div class="ui dropdown selection component-dropdown">
                        <input id="province" type="hidden" name="province" value="${result.getParamAble().getProvince()}">
                        <i class="dropdown icon"></i>
                        <div class="default text color-black">${result.getParamAble().getProvince()}</div>
                        <div class="menu">
                            #{list items:provinces, as:'province'}
                            <div class="item" data-value="${province.name}">${province.name}</div>
                            #{/list}
                        </div>
                    </div>
                </div>
                #{/if}

            </div>
        </form>
        <div class="ui grid">
            <div class="sixteen wide column">
                #{if domicileAggs != null || publishedDateAggs != null || violationAggs != null || procurementFilters != null }
                <div class="ui card width-full">
                    <div class="content">
                        <div class="ui grid stackable">
                            <div class="three wide column">
                                <div id="legend"></div>
                                <div class="ui divider"></div>
                                #{if domicileAggs}

                                #{/if}
                                #{if publishedDateAggs}
                                #{list items:publishedDateAggs.getTotalValue(), as:'agg' }
                                    <div class="center aligned">
                                        <div class="title-label">Jumlah ${agg.key}</div>
                                        <div class="price-label">${agg.value.formatNumberIndonesia()}</div>
                                    </div>
                                #{/list}
                                #{/if}
                                #{if violationAggs}

                                #{/if}

                            </div>
                            <div class="thirteen wide column middle aligned">
                                #{if domicileAggs}
                                #{common.pie-chart data:domicileAggs, label:'Grafik Berdasarkan Domisili Penyedia',legend: false, labelOutside:true /}
                                #{/if}
                                #{if publishedDateAggs}
                                #{common.line-chart chartable:publishedDateAggs, id:'canvas-line', title: 'Grafik Berdasarkan Penayangan', xLabel: 'Waktu', yLabel: 'Total', money: false, legend: false /}
                                #{/if}
                                #{if violationAggs}
                                #{common.pie-chart data:violationAggs, label:'Grafik Berdasarkan Pelanggaran', legend: false, labelOutside:true /}
                                #{/if}
                                #{if procurementFilters}
                                #{common.pie-chart data:procurementFilters, label:'Grafik Berdasarkan Jenis Pengadaan', legend: false, labelOutside:true /}
                                #{/if}
                            </div>
                        </div>
                    </div>
                </div>
                #{/if}
            </div>

        </div>
        <div class="ui divider hidden"></div>
        <div class="ui grid">
            <div class="sixteen wide column">
                <table class="ui padded table fixed">
                    <thead class="center aligned">
                    <tr>
                        <th>Penyedia</th>
                        <th>Alamat</th>
                        <th>Tayang</th>
                        <th>Status</th>
                    </tr>
                    </thead>
                    <tbody class="center aligned">
                    #{list items: result.getItems(), as: 'blacklist'}
                    <tr id="card${blacklist.getId()}" data-json="${blacklist.toJson()}">
                        <td>
                            <div class="font-bold">${blacklist.getDetail().getDetailTitle().raw()}</div>
<!--                            <div>${blacklist.detail.npwp}</div>-->
                        </td>
                        <td>
                            <div>${blacklist.getDetail().getDetailContent().raw()}</div>
<!--                            <div>${blacklist.detail.kabupaten.nama}, ${blacklist.detail.provinsi.nama}</div>-->
                        </td>
                        <td>
                            ${blacklist.getMeta()}
                        </td>

                        <td>
                            <a class="ui teal label" onclick="showDetail(${blacklist.id})">Detail</a>
                        </td>
                    </tr>
                    #{/list}
                    </tbody>
                </table>
            </div>
        </div>
        <div class="ui divider hidden"></div>
        <div class="wrapper-component-pagination">
            #{pagination result /}
        </div>

    </div>
    <div class="ui one column centered grid">
        <div class="bg-danger alert-content hidden"></div>
    </div>
    <div class="ui divider hidden"></div>
    <div class="ui divider hidden"></div>
    <div class="ui divider hidden"></div>
</section>

<div class="ui modal large modal-blacklist-detail">
    <i class="close icon"></i>
    <div class="header">Detail</div>
    <div class="content">
        <table class="ui table definition">
            <tr>
                <td>Nama Penyedia</td>
                <td id="nama-penyedia">-</td>
            </tr>
            <tr>
                <td>NPWP</td>
                <td id="npwp">-</td>
            </tr>
            <tr>
                <td>Alamat</td>
                <td id="alamat">-</td>
            </tr>
            <tr>
                <td>Provinsi</td>
                <td id="propinsi">-</td>
            </tr>
            <tr>
                <td>Kabupaten</td>
                <td id="kabupaten-kota">-</td>
            </tr>
        </table>
        <h4>Daftar Pelanggaran</h4>
        <table id="pelanggaran" class="ui table small celled very padded" style="border: 0 none">
            <thead>
            <tr>
                <th>SK Penetapan</th>
                <th>Pelanggaran</th>
                <th>Tanggal Penayangan</th>
            </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>
</div>


#{set 'moreScripts'}
<script>
        $('.component-dropdown')
              .dropdown({
                action: 'hide',
                onChange: function(value, text, $selectedItem) {
                    let name = $selectedItem.data('name')
                    if (name && name === 'filter') {
                        $('#domicile').val('')
                        $('#year').val('')
                        $('#procurement').val('')
                        $('#injunction').val('')
                    }
                    if (name && name === 'domicile') {
                        $('#province').val('')
                    }
                    $('.search-bar').submit()
                }
              });
    </script>
<script type="text/javascript">

    var pelanggaran = $('#pelanggaran');

    var showDetail = function (id) {
        var data = $("#card"+id).data('json');
        changeModalContent(data);
        $('.modal-blacklist-detail').modal('show');
    }

    var changeModalContent = function(data) {

        $('#sk').text(data.sk);
        $('#nama-penyedia').text(data.nama_penyedia != null ? data.nama_penyedia : '');
        $('#npwp').text(data.npwp);
        var addtionalAddress = data.additional_address ? '<p>' + data.additional_address + '</p>' : '';
        $('#alamat').html('<p>' + data.alamat + '</p>' + addtionalAddress);
        $('#kabupaten-kota').text(data.kabupaten != null ? data.kabupaten.nama : '-');
        $('#propinsi').text(data.provinsi != null ? data.provinsi.nama : '-');

        if(data.pelanggaran.length > 0){
            var elements = '';
            var dataInjunctions = data.pelanggaran;
            var k = 1;
            for (var i in data.pelanggaran){
                var injunction = dataInjunctions[i];
                var violationName = (injunction && injunction.detil_pelanggaran) ? injunction.detil_pelanggaran.jenis_pelanggaran : '-';
                var violationDesc = (injunction && injunction.detil_pelanggaran) ? injunction.detil_pelanggaran.deskripsi : '-';
                var publishedAt = (injunction.published_date) ? injunction.published_date : '-';

                elements += '<tr class="'+((injunction.sk === data.sk) ? 'active' : '')+'"> ' +
                        '<td>'+injunction.sk+'</td> ' +
                        '<td><div class="ui list"> ' +
                        '<div class="item"> ' +
                        '<i class="icon minus circle"></i> ' +
                        '<div class="content"> ' +
                        '<div class="header"> '+violationName+' </div>' +
                        '<div class="description" style="white-space: normal;"> '+violationDesc+' </div> ' +
                        '</div>' +
                        '</div>' +
                        '</div></td>' +
                        '<td style="width: 450px;">'+ publishedAt +'</td> ' +

                        '</tr>';
            }

            pelanggaran.find('tbody').html(elements);
            pelanggaran.removeClass('hidden');
        }else {
            pelanggaran.find('tbody').addClass('hidden');
        }
    }

    $(document).ready(function() {

        let listenToId = function() {
            let arr = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&')
            if (arr.length > 0) {
                var query = {}
                for(var i = 0; i < arr.length; i++) {
                    hash = arr[i].split('=');
                    query[hash[0]] = hash[1];
                }
                if (query['id'] && !isNaN(query['id'])) {
                    showDetail(query['id'])
                }
            }
        }

        listenToId()
    })

</script>
#{get 'chartScripts' /}

#{/set}